//
//  LiveRoomHeartDonationChatItemView.swift
//  SodaLive
//
//  Created by klaus on 10/24/24.
//

import SwiftUI

struct LiveRoomHeartDonationChatItemView: View {
    
    let nickname: String
    
    var body: some View {
        HStack(spacing: 0) {
            Text("'")
                .font(.system(size: 12))
                .foregroundColor(Color.white)
            
            Text(nickname)
                .font(.system(size: 12, weight: .bold))
                .foregroundColor(Color(hex: "ec3aa6"))
            
            Text("'님이 마음을 전했습니다 : 💕")
                .font(.system(size: 12))
                .foregroundColor(Color.gray11)
        }
        .padding(.vertical, 6.7)
        .frame(maxWidth: .infinity)
        .background(Color.white.opacity(0.7))
    }
}

#Preview {
    LiveRoomHeartDonationChatItemView(nickname: "닉네임")
}
